Get End User Info
Available for: Chatflow, Workflow, Agent, Chatbot, Legacy Agent, Text Generator apps.
Returns an end user’s details by ID. Useful for resolving an end-user ID returned by another endpoint, such as created_by in the Upload File response.
1 min read
get/end-users/{end_user_id}
Request example
Response
get/end-users/{end_user_id}
Authorization
Path parameters
ID of the end user to look up.
Responses
application/json
End user retrieved successfully.
Application ID.
Creation timestamp.
End user ID.
Whether the user is anonymous.
true when no user identifier was provided in the original API request.End user name.
Session identifier. Defaults to the
external_user_id value.Tenant ID.
End user type. Always
service-api for Service API users.Last update timestamp.